#include<iostream>
#include<fstream>

using namespace std;

class Polynom
{
    private:
        double* koeff;
        int grad;
    public:
        Polynom(int grad, double* koeff)
        {
            this->grad = grad;
            this->koeff = koeff;
        }

        Polynom()//Konstruktor liest selbsttig eine Datei ein.
        {
            ifstream meinedatei("./koeff.txt");
            double k;
            int anzahl = 0;
            while( meinedatei>>k )
            {
                anzahl++;
            }
            meinedatei.close();

            koeff = new double[anzahl];

            ifstream meinedatei2("./koeff.txt");
            anzahl = 0;
            while( meinedatei2>>k )
            {
                koeff[anzahl]=k; 
                anzahl++;

            }
            meinedatei2.close();
            grad = anzahl-1;
        }

        double berechneY(double x)
        {
            double y = 0.0;
            for(int pot=grad;pot>=0;pot--)
            {
                y+=koeff[pot];
                if(pot>0)
                    y*=x;
            }
            return y;
        }   

        double* getWertetabelle(double* x, int anzx)
        {
            double* ywerte = new double[anzx];
            for(int i=0;i<anzx;i++)
            {
                 ywerte[i] = berechneY(x[i]);
            }
            return ywerte;
        }     
};

int main()
{
    double x[] = {0.0,1.0,2.0,3.0,4.0};
    double ko[] = {1.0,0.0,1.0};
//    Polynom p(2,ko);
    Polynom p;

/*
    cout<<"y(0)="<<p.berechneY(0.0)<<endl;
    cout<<"y(1)="<<p.berechneY(1.0)<<endl;
    cout<<"y(2)="<<p.berechneY(2.0)<<endl;
    cout<<"y(3)="<<p.berechneY(3.0)<<endl;
*/
    double* yw = p.getWertetabelle(x,5);

    for(int i=0;i<5;i++)
        cout<<"y("<<x[i]<<")="<<yw[i]<<endl;
}








